## qqc2-desktop-style 5.44.0

=== plugin/CMakeLists.txt ===
project(qqc2desktopstyle)

set(qqc2desktopstyle_SRCS
    qqc2desktopstyleplugin.cpp
    kquickstyleitem.cpp
    )

if(Qt5_VERSION VERSION_LESS "5.8.0")
set(qqc2desktopstyle_SRCS
    ${qqc2desktopstyle_SRCS}
    #FIXME: remove when we can depend from Qt 5.8+
    qsgninepatchnode.cpp
    qsgdefaultninepatchnode.cpp
    )
endif()

add_library(qqc2desktopstyleplugin SHARED ${qqc2desktopstyle_SRCS})
target_link_libraries(qqc2desktopstyleplugin Qt5::Core Qt5::Qml Qt5::Quick Qt5::Gui Qt5::Widgets KF5::Kirigami2)

if(KF5ConfigWidgets_FOUND)
    target_link_libraries(qqc2desktopstyleplugin
        KF5::ConfigWidgets
    )
endif()

install(TARGETS qqc2desktopstyleplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/qqc2desktopstyle/private)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/qqc2desktopstyle/private)

=== debian/changelog ===
qqc2-desktop-style (5.44.0-0ubuntu1) bionic; urgency=medium

  * Re-order copyright file
  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 20:00:35 +0000

qqc2-desktop-style (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:17:58 +0000

qqc2-desktop-style (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:24:26 +0000

qqc2-desktop-style (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:10:01 -0600

qqc2-desktop-style (5.40.0-0ubuntu1) bionic; urgency=medium

  * Initial release to Ubuntu (LP: #1728440)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:19:02 +0000

=== debian/control ===
Source: qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 10),
               extra-cmake-modules (>= 5.44.0~),
               kirigami2-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libqt5x11extras5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev
Standards-Version: 4.1.1
Homepage: https://cgit.kde.org/qqc2-desktop-style.git/
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style

Package: libkf5qqc2desktopstyle-dev
Architecture: any
Section: libdevel
Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-qqc2desktopstyle (<< ${binary:Version})
Replaces: qml-module-org-kde-qqc2desktopstyle (<< ${binary:Version})
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2desktopstyle
Architecture: any
Depends: qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

=== debian/watch ===
version=4
http://download.kde.org/stable/frameworks/([\d\.]*)/qqc2-desktop-style-([\d.]+)\.tar\.xz

## qqc2-desktop-style 5.50.0

=== debian/changelog ===
qqc2-desktop-style (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:20:10 +0100

qqc2-desktop-style (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * No change rebuild against Qt 5.10
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:32:35 +0100

qqc2-desktop-style (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:51:59 +0100

qqc2-desktop-style (5.46.2-1) unstable; urgency=medium

  * New upstream release (5.46.2).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 May 2018 13:02:42 +0200

qqc2-desktop-style (5.46.2-0ubuntu1) cosmic; urgency=medium

  * New upstream bugfix release (5.46.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 May 2018 17:45:22 +0100

qqc2-desktop-style (5.46.1-0ubuntu1) cosmic; urgency=medium

  * New upstream bugfix release (5.46.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 16 May 2018 17:11:55 +0100

qqc2-desktop-style (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:55 +0200

qqc2-desktop-style (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:59:02 +0100

qqc2-desktop-style (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:13 +0200

qqc2-desktop-style (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:33 +0100

qqc2-desktop-style (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:24 +0100

qqc2-desktop-style (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:25 +0100

qqc2-desktop-style (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:06:17 +0100

qqc2-desktop-style (5.41.0-1) experimental; urgency=medium

  * Update Vcs fields
  * Update watch file
  * Update copyright file
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:25 -0300

qqc2-desktop-style (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:49:10 +0000

qqc2-desktop-style (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 13:01:06 +0000

qqc2-desktop-style (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Apr 2017 15:42:30 +0000

=== debian/control ===
Source: qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               kirigami2-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.50.0~),
               libqt5x11extras5-dev (>= 5.8.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qtquickcontrols2-5-dev (>= 5.8.0~),
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/qqc2-desktop-style.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style

Package: libkf5qqc2desktopstyle-dev
Architecture: any
Section: libdevel
Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2desktopstyle
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.47),
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## qqc2-desktop-style 5.54.0

=== debian/changelog ===
qqc2-desktop-style (5.54.0-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:13:57 +0800

qqc2-desktop-style (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:39 -0300

qqc2-desktop-style (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:37 +0100

qqc2-desktop-style (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:17 +0200

qqc2-desktop-style (5.47.0-1) unstable; urgency=medium

  * New revision
  * Add upstream metadata
  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:11:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.50.0~),
-               kirigami2-dev (>= 5.50.0~),
-               libkf5iconthemes-dev (>= 5.50.0~),
-               libqt5x11extras5-dev (>= 5.8.0~),
+               extra-cmake-modules (>= 5.54.0~),
+               kirigami2-dev (>= 5.54.0~),
+               libkf5iconthemes-dev (>= 5.54.0~),
+               libqt5x11extras5-dev (>= 5.9.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
-               qtquickcontrols2-5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
+               qtquickcontrols2-5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: https://cgit.kde.org/qqc2-desktop-style.git/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git
 
 Package: libkf5qqc2desktopstyle-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -36,7 +36,7 @@
 
 Package: qml-module-org-kde-qqc2desktopstyle
 Architecture: any
-Depends: qml-module-org-kde-kirigami2 (>= 5.47),
+Depends: qml-module-org-kde-kirigami2 (>= 5.54),
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,

## qqc2-desktop-style 5.56.0

=== debian/changelog ===
qqc2-desktop-style (5.56.0-0ubuntu2) disco; urgency=medium

  * Rebuild against QtDeclarative 5.12.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 22:57:55 +0100

qqc2-desktop-style (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:38:59 +0000

qqc2-desktop-style (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:34:26 +0000

qqc2-desktop-style (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:37:34 +0000

qqc2-desktop-style (5.53.0-0ubuntu2) disco; urgency=medium

  * No-change rebuild against qtdeclarative 5.11.3

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 01 Jan 2019 21:43:58 +0000

qqc2-desktop-style (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:51:07 +0000

qqc2-desktop-style (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:44:30 +0000

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               kirigami2-dev (>= 5.54.0~),
-               libkf5iconthemes-dev (>= 5.54.0~),
-               libqt5x11extras5-dev (>= 5.9.0~),
+               extra-cmake-modules (>= 5.56.0~),
+               kirigami2-dev (>= 5.56.0~),
+               libkf5iconthemes-dev (>= 5.56.0~),
+               libqt5x11extras5-dev (>= 5.8.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
-               qtquickcontrols2-5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
+               qtquickcontrols2-5-dev (>= 5.8.0~),
 Standards-Version: 4.1.4
 Homepage: https://cgit.kde.org/qqc2-desktop-style.git/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
 
 Package: libkf5qqc2desktopstyle-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -36,7 +36,7 @@
 
 Package: qml-module-org-kde-qqc2desktopstyle
 Architecture: any
-Depends: qml-module-org-kde-kirigami2 (>= 5.54),
+Depends: qml-module-org-kde-kirigami2 (>= 5.47),
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,

## qqc2-desktop-style 5.62.0

=== debian/changelog ===
qqc2-desktop-style (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:18 -0700

qqc2-desktop-style (5.61.0-1) experimental; urgency=medium

  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.56.0~),
-               kirigami2-dev (>= 5.56.0~),
-               libkf5iconthemes-dev (>= 5.56.0~),
-               libqt5x11extras5-dev (>= 5.8.0~),
+               extra-cmake-modules (>= 5.62.0~),
+               kirigami2-dev (>= 5.62.0~),
+               libkf5iconthemes-dev (>= 5.62.0~),
+               libqt5x11extras5-dev (>= 5.11.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
-               qtquickcontrols2-5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.11.0~),
+               qtdeclarative5-dev (>= 5.11.0~),
+               qtquickcontrols2-5-dev (>= 5.11.0~),
 Standards-Version: 4.1.4
 Homepage: https://cgit.kde.org/qqc2-desktop-style.git/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git
 
 Package: libkf5qqc2desktopstyle-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -36,7 +36,7 @@
 
 Package: qml-module-org-kde-qqc2desktopstyle
 Architecture: any
-Depends: qml-module-org-kde-kirigami2 (>= 5.47),
+Depends: qml-module-org-kde-kirigami2 (>= 5.54),
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,

## qqc2-desktop-style 5.67.1

=== debian/changelog ===
qqc2-desktop-style (5.67.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Feb 2020 22:56:26 +0000

qqc2-desktop-style (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:53:48 +0000

qqc2-desktop-style (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:22:43 +0000

qqc2-desktop-style (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Amend debian/libkf5qqc2desktopstyle-dev.install, it had a typo so
    files weren't installed correctly
  * Add qml-module-qtquick-layouts to qml-module-org-kde-
    qqc2desktopstyle Depends, following KDE Neon.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:03:38 +0000

qqc2-desktop-style (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:27:50 +0000

qqc2-desktop-style (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:10:19 +0100

qqc2-desktop-style (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:46:01 +0100

qqc2-desktop-style (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:19:21 +0100

qqc2-desktop-style (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:22:32 +0100

qqc2-desktop-style (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:43:46 +0100

qqc2-desktop-style (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:41:17 +0100

=== debian/control ===
Source: qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.67.0~),
               kirigami2-dev (>= 5.67.0~),
               libkf5iconthemes-dev (>= 5.67.0~),
               libqt5x11extras5-dev (>= 5.8.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qtquickcontrols2-5-dev (>= 5.8.0~),
Standards-Version: 4.1.4
Homepage: https://cgit.kde.org/qqc2-desktop-style.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style

Package: libkf5qqc2desktopstyle-dev
Architecture: any
Section: libdevel
Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2desktopstyle
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.47),
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## qqc2-desktop-style 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts

project(qqc2-desktop-style VERSION ${KF5_VERSION})

set(REQUIRED_QT_VERSION 5.12.0)

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "qqc2-desktop-style requires an out of source build. Please create a separate build directory and run 'cmake path_to_qqc2-desktop-style [options]' there.")
endif()



# Make CPack available to easy generate binary packages
include(CPack)
include(FeatureSummary)

################# set KDE specific information #################

find_package(ECM 5.68.0 REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Widgets QuickControls2)

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS Config Kirigami2)

# IconThemes and ConfigWidgets are optional
find_package(KF5IconThemes ${KF5_DEP_VERSION})
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION})

if (NOT APPLE AND NOT WIN32)
    find_package(X11)
endif()

# When building as a static plugin, dependencies may add a -lQt5X11Extras
# to the linker, in that case, it requires to have the proper variables
# to exists.
if(X11_FOUND)
    find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} NO_MODULE QUIET)
endif()

set_package_properties(IconThemes PROPERTIES DESCRIPTION "KF5 IconThemes framework"
                       TYPE OPTIONAL
                       PURPOSE "Optional integration of Kirigami with KIconLoader icons handling for a better integration with Plasma Desktop"
                      )
set_package_properties(ConfigWidgets PROPERTIES DESCRIPTION "KF5 WidgetAddons framework"
                       TYPE OPTIONAL
                       PURPOSE "Optional integration of Kirigami with KColorScheme for color palettes integration with Plasma Desktop"
                      )

find_package(PkgConfig)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5QQC2DesktopStyle")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5QQC2DesktopStyleConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DesktopStyleConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DesktopStyleConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DesktopStyleConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)


ecm_setup_version(PROJECT
    VARIABLE_PREFIX QQC2DESKTOPSTYLE
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DesktopStyleConfigVersion.cmake"
    SOVERSION 5)

# legacy support for CMake Config files with typo KF5QQC2Desk_opStyle TODO: KF6 remove
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5QQC2DeskopStyle")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5QQC2DeskopStyleConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DeskopStyleConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DeskopStyleConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DeskopStyleConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)


ecm_setup_version(PROJECT
    VARIABLE_PREFIX QQC2DESKTOPSTYLE
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5QQC2DeskopStyleConfigVersion.cmake"
    SOVERSION 5)

#########################################################################
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
add_subdirectory(plugin)

if (KF5IconThemes_FOUND AND KF5WidgetsAddons_FOUND)
add_subdirectory(kirigami-plasmadesktop-integration)
endif(KF5IconThemes_FOUND AND KF5WidgetsAddons_FOUND)

#FIXME: this assumes there will always be a QQC2 release for each Qt release, needs
#something to discover what's the latest qqc2 version available
math(EXPR QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR} - 7")
set(QQC2_VERSION "2.${QQC2_VERSION_MINOR}")

if (QQC2_VERSION_MINOR LESS 3)
    set(DISABLE_UNDER_QQC2_2_3 "//Needs QtQuick.Controls 2.3 ")
else()
    set(DISABLE_UNDER_QQC2_2_3 "")
endif()

if (QQC2_VERSION_MINOR LESS 4)
    set(DISABLE_UNDER_QQC2_2_4 "//Needs QtQuick.Controls 2.4 ")
else()
    set(DISABLE_UNDER_QQC2_2_4 "")
endif()

# Find all the source qml files
FILE(GLOB_RECURSE inFiles RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "${CMAKE_CURRENT_SOURCE_DIR}/org.kde.desktop/*")

    #for each file, replace @QQC2_VERSION@ with the version we found
FOREACH(infileName ${inFiles})
    configure_package_config_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/${infileName}"
        "${CMAKE_CURRENT_BINARY_DIR}/${infileName}"
        INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
        PATH_VARS  QQC2_VERSION DISABLE_UNDER_QQC2_2_3
        DISABLE_UNDER_QQC2_2_4
    )
ENDFOREACH(infileName)

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/org.kde.desktop DESTINATION ${KDE_INSTALL_QMLDIR}/QtQuick/Controls.2)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
qqc2-desktop-style (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:01:02 +0000

qqc2-desktop-style (5.67.1-0ubuntu2) focal; urgency=medium

  * Add upstream patch request by KDE developers.
    https://bugs.kde.org/418447
    - d/p: upstream_Fix-sizing-of-CheckBox-and-RadioButton.patch

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Mar 2020 06:38:27 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.67.0~),
-               kirigami2-dev (>= 5.67.0~),
-               libkf5iconthemes-dev (>= 5.67.0~),
+               extra-cmake-modules (>= 5.68.0~),
+               kirigami2-dev (>= 5.68.0~),
+               libkf5iconthemes-dev (>= 5.68.0~),
                libqt5x11extras5-dev (>= 5.8.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),

## qqc2-desktop-style 5.74.0

=== debian/changelog ===
qqc2-desktop-style (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:02:20 +0100

qqc2-desktop-style (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:01:50 +0100

qqc2-desktop-style (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:36:24 +0100

qqc2-desktop-style (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:09:51 +0100

qqc2-desktop-style (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Jun 2020 15:47:40 +0100

qqc2-desktop-style (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update install files.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Straighten dependency against kirigami.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:42 +0200

qqc2-desktop-style (5.70.0-0ubuntu2) groovy; urgency=medium

  * No-change rebuild against Qt 5.14 for new QML.

 -- Rik Mills <rikmills@kde.org>  Wed, 20 May 2020 16:53:08 +0100

qqc2-desktop-style (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:35:34 +0100

qqc2-desktop-style (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:56:17 +0200

=== debian/control ===
Source: qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               dbus-x11,
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.74.0~),
               kirigami2-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5iconthemes-dev (>= 5.74.0~),
               libqt5x11extras5-dev (>= 5.12.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
               qtquickcontrols2-5-dev (>= 5.12.0~),
Standards-Version: 4.5.0
Homepage: https://cgit.kde.org/qqc2-desktop-style.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/qqc2-desktop-style
Rules-Requires-Root: no

Package: libkf5qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2desktopstyle
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.70.0~),
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## qqc2-desktop-style 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF5_VERSION})
 
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 
 ################# Disallow in-source build #################
 
@@ -21,7 +21,7 @@
 
 ################# set KDE specific information #################
 
-find_package(ECM 5.68.0 REQUIRED NO_MODULE)
+find_package(ECM 5.78.0 REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -32,7 +32,7 @@
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
-find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Widgets QuickControls2)
+find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Widgets QuickControls2 DBus)
 
 find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS Config Kirigami2)
 
@@ -109,30 +109,24 @@
 
 #########################################################################
 add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
 add_subdirectory(plugin)
 
 if (KF5IconThemes_FOUND AND KF5WidgetsAddons_FOUND)
 add_subdirectory(kirigami-plasmadesktop-integration)
 endif(KF5IconThemes_FOUND AND KF5WidgetsAddons_FOUND)
 
-#FIXME: this assumes there will always be a QQC2 release for each Qt release, needs
-#something to discover what's the latest qqc2 version available
-math(EXPR QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR} - 7")
+# FIXME: this assumes there will always be a QQC2 release for each Qt release, needs
+# something to discover what's the latest qqc2 version available
+# Since 5.12, QQC2 version is sync with Qt's minor version:
+# https://github.com/qt/qtquickcontrols2/commit/3c7bfc156797b2f3ef08a8cf620b79da80e4b061
+if (Qt5QuickControls2_VERSION_MINOR LESS 12)
+    math(EXPR QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR} - 7")
+else()
+    set(QQC2_VERSION_MINOR "${Qt5QuickControls2_VERSION_MINOR}")
+endif()
 set(QQC2_VERSION "2.${QQC2_VERSION_MINOR}")
-
-if (QQC2_VERSION_MINOR LESS 3)
-    set(DISABLE_UNDER_QQC2_2_3 "//Needs QtQuick.Controls 2.3 ")
-else()
-    set(DISABLE_UNDER_QQC2_2_3 "")
-endif()
-
-if (QQC2_VERSION_MINOR LESS 4)
-    set(DISABLE_UNDER_QQC2_2_4 "//Needs QtQuick.Controls 2.4 ")
-else()
-    set(DISABLE_UNDER_QQC2_2_4 "")
-endif()
 
 # Find all the source qml files
 FILE(GLOB_RECURSE inFiles RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
@@ -140,12 +134,10 @@
 
     #for each file, replace @QQC2_VERSION@ with the version we found
 FOREACH(infileName ${inFiles})
-    configure_package_config_file(
+    configure_file(
         "${CMAKE_CURRENT_SOURCE_DIR}/${infileName}"
         "${CMAKE_CURRENT_BINARY_DIR}/${infileName}"
-        INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
-        PATH_VARS  QQC2_VERSION DISABLE_UNDER_QQC2_2_3
-        DISABLE_UNDER_QQC2_2_4
+        @ONLY
     )
 ENDFOREACH(infileName)

=== debian/changelog ===
qqc2-desktop-style (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:27 +0900

qqc2-desktop-style (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:44 +0900

qqc2-desktop-style (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:37 +0900

qqc2-desktop-style (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:56 +0900

qqc2-desktop-style (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:17:56 +0200

qqc2-desktop-style (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:07 +0200

=== debian/control ===
Source: qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               dbus-x11,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.78.0~),
               kirigami2-dev (>= 5.78.0~),
               libkf5config-dev (>= 5.78.0~),
               libkf5iconthemes-dev (>= 5.78.0~),
               libqt5x11extras5-dev (>= 5.14.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qtquickcontrols2-5-dev (>= 5.14.0~)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style.git
Rules-Requires-Root: no

Package: libkf5qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml-module-org-kde-qqc2desktopstyle
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.70.0~),
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## qqc2-desktop-style 5.80.0

=== debian/changelog ===
qqc2-desktop-style (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:11:09 +0000

qqc2-desktop-style (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:25:22 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.5~),
                dbus-x11,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78.0~),
-               kirigami2-dev (>= 5.78.0~),
-               libkf5config-dev (>= 5.78.0~),
-               libkf5iconthemes-dev (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               kirigami2-dev (>= 5.80.0~),
+               libkf5config-dev (>= 5.80.0~),
+               libkf5iconthemes-dev (>= 5.80.0~),
                libqt5x11extras5-dev (>= 5.14.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.14.0~),
                qtdeclarative5-dev (>= 5.14.0~),
-               qtquickcontrols2-5-dev (>= 5.14.0~)
+               qtquickcontrols2-5-dev (>= 5.14.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/qqc2-desktop-style
@@ -28,7 +28,7 @@
 Architecture: any
 Depends: qml-module-org-kde-qqc2desktopstyle (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
 Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.40.0)
 Description: Qt Quick Controls 2: Desktop Style
